summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-02-19 12:03:10 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-02-19 12:03:10 +0000
commit6593ef9f8e892f901910e0f4eb402a5c842e33c3 (patch)
tree0a2098ff99a32c81a49448f59160e164b46ce518 /dev-python
parentcde08c1ad702496653112df2673724c115410578 (diff)
downloadbaldeagleos-repo-6593ef9f8e892f901910e0f4eb402a5c842e33c3.tar.gz
baldeagleos-repo-6593ef9f8e892f901910e0f4eb402a5c842e33c3.tar.xz
baldeagleos-repo-6593ef9f8e892f901910e0f4eb402a5c842e33c3.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/PeachPy/Manifest2
-rw-r--r--dev-python/PeachPy/PeachPy-2022.11.13.ebuild (renamed from dev-python/PeachPy/PeachPy-2021.10.13.ebuild)4
-rw-r--r--dev-python/PeachPy/files/PeachPy-2021.10.13-gentoo.patch11
-rw-r--r--dev-python/autocommand/autocommand-2.2.2.ebuild2
-rw-r--r--dev-python/caldav/Manifest1
-rw-r--r--dev-python/caldav/caldav-1.1.1.ebuild41
-rw-r--r--dev-python/guessit/Manifest1
-rw-r--r--dev-python/guessit/guessit-3.7.0.ebuild38
-rw-r--r--dev-python/jaraco-text/jaraco-text-3.11.1.ebuild2
-rw-r--r--dev-python/mdit-py-plugins/Manifest1
-rw-r--r--dev-python/mdit-py-plugins/mdit-py-plugins-0.3.4.ebuild34
-rw-r--r--dev-python/mkdocs-material/Manifest1
-rw-r--r--dev-python/mkdocs-material/mkdocs-material-9.0.13.ebuild53
-rw-r--r--dev-python/nbclassic/Manifest1
-rw-r--r--dev-python/nbclassic/nbclassic-0.5.2.ebuild84
-rw-r--r--dev-python/platformdirs/platformdirs-3.0.0.ebuild2
-rw-r--r--dev-python/pyClamd/files/pyClamd-0.4.0-remove-obsolete-bugtrack_url.diff11
-rw-r--r--dev-python/pyClamd/pyClamd-0.4.0-r4.ebuild27
-rw-r--r--dev-python/pychromecast/Manifest1
-rw-r--r--dev-python/pychromecast/pychromecast-12.1.4.ebuild21
-rw-r--r--dev-python/pydantic/pydantic-1.10.5.ebuild2
-rw-r--r--dev-python/pygccxml/Manifest1
-rw-r--r--dev-python/pygccxml/pygccxml-2.2.1.ebuild29
-rw-r--r--dev-python/python-lhafile/python-lhafile-0.3.0.ebuild4
-rw-r--r--dev-python/rebulk/Manifest1
-rw-r--r--dev-python/rebulk/rebulk-3.2.0.ebuild32
-rw-r--r--dev-python/recurring-ical-events/Manifest1
-rw-r--r--dev-python/recurring-ical-events/recurring-ical-events-2.0.2.ebuild45
28 files changed, 380 insertions, 73 deletions
diff --git a/dev-python/PeachPy/Manifest b/dev-python/PeachPy/Manifest
index 853751080e6a..eca2287dc132 100644
--- a/dev-python/PeachPy/Manifest
+++ b/dev-python/PeachPy/Manifest
@@ -1 +1 @@
-DIST PeachPy-2021.10.13.gh.tar.gz 248855 BLAKE2B 5f8e7845dfa7327c62e6a953505260645ca29dc762dcb3ffd971a6a07c81f259776286c12c2147e980ae43f77d3ce060a87201e2189123290845f6543c74775f SHA512 c6370de8da9152e812702a3bb53592cba89ee24fdfbeaa87d49374bad7b2d79c60e54bac17a29d861f5881f4ce076f2fe96bff378ef31bdf3cbc6bc5093f6f3d
+DIST PeachPy-2022.11.13.gh.tar.gz 248834 BLAKE2B 508100af45ee2868637c9f2123d835b26a6f8fc4fe880302ec273e19f95b855c667e30e1a31a23dc621aea57b3bf1948d9c2339e35dee55d46d3205d2fe93f03 SHA512 adda0e1c2e417792d0799f2fb5fa92636eff493e83dacf38344ca4a9fe37344bbb73228409cdf8680290ea7f374025f8b23bcdce6ab67b5329ae4a2acbc1cf4f
diff --git a/dev-python/PeachPy/PeachPy-2021.10.13.ebuild b/dev-python/PeachPy/PeachPy-2022.11.13.ebuild
index 41c2b5b16bb3..422cdd942070 100644
--- a/dev-python/PeachPy/PeachPy-2021.10.13.ebuild
+++ b/dev-python/PeachPy/PeachPy-2022.11.13.ebuild
@@ -7,7 +7,7 @@ DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{7,8,9,10,11} )
inherit distutils-r1
-CommitId=257881e0a7ce985c1cf96653db1264bf09adf510
+CommitId=349e8f836142b2ed0efeb6bb99b1b715d87202e9
DESCRIPTION="Portable Efficient Assembly Code-generator in Higher-level Python"
HOMEPAGE="https://pypi.org/project/PeachPy/"
@@ -27,5 +27,3 @@ DEPEND="${RDEPEND}"
BDEPEND=""
S="${WORKDIR}"/${PN}-${CommitId}
-
-PATCHES=( "${FILESDIR}"/${P}-gentoo.patch )
diff --git a/dev-python/PeachPy/files/PeachPy-2021.10.13-gentoo.patch b/dev-python/PeachPy/files/PeachPy-2021.10.13-gentoo.patch
deleted file mode 100644
index c5ecab041a76..000000000000
--- a/dev-python/PeachPy/files/PeachPy-2021.10.13-gentoo.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- a/setup.py 2022-05-15 19:33:42.938456878 +0200
-+++ b/setup.py 2022-05-15 19:33:57.869231488 +0200
-@@ -35,7 +35,7 @@
- def run(self):
- # package_dir may be None, in that case use the current directory.
- import os
-- if self.distribution.package_dir is None:
-+ if not self.distribution.package_dir:
- src_dir = os.getcwd()
- else:
- src_dir = os.path.abspath(self.distribution.package_dir[""])
diff --git a/dev-python/autocommand/autocommand-2.2.2.ebuild b/dev-python/autocommand/autocommand-2.2.2.ebuild
index 6c11dcc6e586..771f8ca8b142 100644
--- a/dev-python/autocommand/autocommand-2.2.2.ebuild
+++ b/dev-python/autocommand/autocommand-2.2.2.ebuild
@@ -20,6 +20,6 @@ SRC_URI="
LICENSE="LGPL-3+"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~arm64-macos ~x64-macos"
distutils_enable_tests pytest
diff --git a/dev-python/caldav/Manifest b/dev-python/caldav/Manifest
index e0073ecc3695..aaf6e525b538 100644
--- a/dev-python/caldav/Manifest
+++ b/dev-python/caldav/Manifest
@@ -1 +1,2 @@
DIST caldav-1.0.1.gh.tar.gz 133071 BLAKE2B d7b9eb8015782bed5d32b7c34508cfcc1334d33cdfed99003cf45893b0a894d5a3187a2c98f886f97ffe8a64140a5a3826e1b3f57b58228a61d1ad4f9bf9f72a SHA512 ac816afd74f6fe34d82345a8b3a934fbe2c37af6a75cc8ef91cd87c8b8d147962ff05e701cd91480c1963d57967898129f923655d366820b689959b00f55659f
+DIST caldav-1.1.1.gh.tar.gz 136513 BLAKE2B a825b19023cadfd2b59e747c5d1b00065530d6773435a9f363d54cea7621f56eb6207b7a2888994fe5c42b873d6b82ba285abbc2ee5d18f72aafd90271cc5e87 SHA512 a1d991d468f093e6d54262f657e6e43ea9bf9e55dbe1f2fcb7189fb1e6a742805faee2a99807838f5db3406c1a9cd72a14054a30efe13e8d5ad7f113aaa88e2a
diff --git a/dev-python/caldav/caldav-1.1.1.ebuild b/dev-python/caldav/caldav-1.1.1.ebuild
new file mode 100644
index 000000000000..92520ca9f831
--- /dev/null
+++ b/dev-python/caldav/caldav-1.1.1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="CalDAV (RFC4791) client library for Python"
+HOMEPAGE="
+ https://github.com/python-caldav/caldav/
+ https://pypi.org/project/caldav/
+"
+SRC_URI="
+ https://github.com/python-caldav/caldav/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="|| ( GPL-3 Apache-2.0 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/vobject[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/icalendar[${PYTHON_USEDEP}]
+ dev-python/recurring-ical-events[${PYTHON_USEDEP}]
+ dev-python/tzlocal[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ www-apps/radicale[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/guessit/Manifest b/dev-python/guessit/Manifest
index 3c0363962dd1..8050cb13bb8b 100644
--- a/dev-python/guessit/Manifest
+++ b/dev-python/guessit/Manifest
@@ -1 +1,2 @@
DIST guessit-3.5.0.tar.gz 158094 BLAKE2B 2091fa8b0066dda70e1a504fd4aa8b7b4f2ba9b3a88f93b22aff0d084511d9a1c93e052558fe6791021e4c44a95e9adc5e7372c937e0e438b419417ff88d2fc0 SHA512 072b6874449679ed34eeb19fe70502abbec3a4284c2ba40e3e69861ce2b9e92f4ff8146840f7fc25079efed62f048c9e25ee3ddf5833b192480c512b9c93905a
+DIST guessit-3.7.0.tar.gz 159451 BLAKE2B 705697ad1721d52b33c5b409992f0d2cc12ffd3c7cf9911b01ba81c4958c19128ab37846dcf7cabf5edd10a19cc1018f2ec25a8f25d9b6307852677fbd049d5c SHA512 dacce2ced2ce647035e2462eab9657e4e73ce2edb92d39a9a20c10abeae09c8a70187121d94503260cdbd933133174c6cb02c6a28daf0bca08a4996fd3e525e2
diff --git a/dev-python/guessit/guessit-3.7.0.ebuild b/dev-python/guessit/guessit-3.7.0.ebuild
new file mode 100644
index 000000000000..d9d64364322c
--- /dev/null
+++ b/dev-python/guessit/guessit-3.7.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python library for guessing information from video filenames"
+HOMEPAGE="
+ https://github.com/guessit-io/guessit/
+ https://pypi.org/project/guessit/
+"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/babelfish-0.5.5[${PYTHON_USEDEP}]
+ >=dev-python/rebulk-3.2.0[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ # Disable benchmarks as they require unavailable pytest-benchmark.
+ guessit/test/test_benchmark.py
+)
diff --git a/dev-python/jaraco-text/jaraco-text-3.11.1.ebuild b/dev-python/jaraco-text/jaraco-text-3.11.1.ebuild
index 2aa80a4f2a58..92e4438a4904 100644
--- a/dev-python/jaraco-text/jaraco-text-3.11.1.ebuild
+++ b/dev-python/jaraco-text/jaraco-text-3.11.1.ebuild
@@ -19,7 +19,7 @@ S=${WORKDIR}/${P/-/.}
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
RDEPEND="
>=dev-python/jaraco-context-4.1.1-r1[${PYTHON_USEDEP}]
diff --git a/dev-python/mdit-py-plugins/Manifest b/dev-python/mdit-py-plugins/Manifest
index db230ae87e93..470ea8f2f7fb 100644
--- a/dev-python/mdit-py-plugins/Manifest
+++ b/dev-python/mdit-py-plugins/Manifest
@@ -1 +1,2 @@
DIST mdit-py-plugins-0.3.3.gh.tar.gz 57366 BLAKE2B 60b53c6aa404a22296da122b6528491fa7dc52c4b485dea1b0c26c486cd04bf495948e03c40d54ac9d436431ab1154f51af90c84762f96d87984b74718a736a9 SHA512 a32a4a7004368af924c0876106e10a55a2f361a18db127a45080779bc39fb709ca274febbb4c4d5e872357e99bd8161e6c760783793516011da5f963368fa637
+DIST mdit-py-plugins-0.3.4.gh.tar.gz 59538 BLAKE2B 7046c2b8b5b117612a71c1a4894c7e3e49a161b5375fde13ec61c4a00c2bf5824505cb5639b70a3c58d7c9629e68bf794c950b5a28470392487965cd94f3e9a9 SHA512 e36b0ee0aca95d60c27a577e1c4bde9832d633ca84fb740f16a37dd63ece0a77005f8e3d03360ed0c92de57d3f656a8f76ab76642d8da3e5ac1d65384ee18d84
diff --git a/dev-python/mdit-py-plugins/mdit-py-plugins-0.3.4.ebuild b/dev-python/mdit-py-plugins/mdit-py-plugins-0.3.4.ebuild
new file mode 100644
index 000000000000..0005de8b30f4
--- /dev/null
+++ b/dev-python/mdit-py-plugins/mdit-py-plugins-0.3.4.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Collection of plugins for markdown-it-py"
+HOMEPAGE="
+ https://pypi.org/project/mdit-py-plugins/
+ https://github.com/executablebooks/mdit-py-plugins/
+"
+SRC_URI="
+ https://github.com/executablebooks/mdit-py-plugins/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/markdown-it-py[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-regressions[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/mkdocs-material/Manifest b/dev-python/mkdocs-material/Manifest
index b325a3c075df..a805ae7ba42a 100644
--- a/dev-python/mkdocs-material/Manifest
+++ b/dev-python/mkdocs-material/Manifest
@@ -1,2 +1,3 @@
DIST mkdocs-material-9.0.10.gh.tar.gz 10933071 BLAKE2B 702db94a8c91a856ffcf30402fe9a913ebb9f76ab1cf92afd83ee75733a233366e039ab08d376b543112b892dd7641c164f87b641938c6974a9205e80d249b7b SHA512 33c11dec5e90055ce773686b3301313f2744bb190078019973bde84a7530aeb3dd8de08946f0aa1a64aa7b100055a99aaa716f96d4a862638a7134ffa120d56e
DIST mkdocs-material-9.0.12.gh.tar.gz 10929135 BLAKE2B 2b8468790c38e40a35b7fd4ff324cde485c1a7f7bc5c748b52b21b34deaca62f397ec056717107dc50024315b9740dc0b9dcce9921fd84c0cda5f9de55068553 SHA512 fd52632e2eb2225d32ac13a48eb0bab8f694644e8369a90ee85902549405b13b2308102ffe6bcb631d4847c7f1b345637d5b86470454eea52487a7b92dd14ab1
+DIST mkdocs-material-9.0.13.gh.tar.gz 10930459 BLAKE2B d3d4b25e2e2b524caa70a47c2cd51cd2c06921beccecb8f76c67f177a72568698056151fb20ee5141df0d6cdeee75192d7a7fc4dc85511501f4d2c8dfe5a3e1c SHA512 cc2abaab0727376ff3b3f3d3099c57f601243520c644dcc48b0c6d671ae543a8b65e8161fa8e4d1199671652a54e14969a7c2470985b0570e63763cf88d63704
diff --git a/dev-python/mkdocs-material/mkdocs-material-9.0.13.ebuild b/dev-python/mkdocs-material/mkdocs-material-9.0.13.ebuild
new file mode 100644
index 000000000000..337292f9ec4a
--- /dev/null
+++ b/dev-python/mkdocs-material/mkdocs-material-9.0.13.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+DOCS_BUILDER="mkdocs"
+DOCS_DEPEND="
+ dev-python/mkdocs-material-extensions
+ dev-python/mkdocs-minify-plugin
+ dev-python/mkdocs-redirects
+"
+
+inherit distutils-r1 docs
+
+DESCRIPTION="A Material Design theme for MkDocs"
+HOMEPAGE="
+ https://github.com/squidfunk/mkdocs-material/
+ https://pypi.org/project/mkdocs-material/
+"
+SRC_URI="
+ https://github.com/squidfunk/${PN}/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/jinja-3.0.2[${PYTHON_USEDEP}]
+ >=dev-python/markdown-3.2[${PYTHON_USEDEP}]
+ >=dev-python/mkdocs-1.4.2[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.14[${PYTHON_USEDEP}]
+ >=dev-python/pymdown-extensions-9.9.1[${PYTHON_USEDEP}]
+"
+
+# mkdocs-material-extensions depends on mkdocs-material creating a circular dep
+PDEPEND="
+ >=dev-python/mkdocs-material-extensions-1.1.0[${PYTHON_USEDEP}]
+"
+
+PATCHES=(
+ # simplify pyproject to remove extra deps for metadata
+ "${FILESDIR}/${PN}-8.5.7-simplify-build.patch"
+)
+
+src_prepare() {
+ echo "__version__ = '${PV}'" > gentoo_version.py || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/nbclassic/Manifest b/dev-python/nbclassic/Manifest
index 276915d28161..b377c2e19a91 100644
--- a/dev-python/nbclassic/Manifest
+++ b/dev-python/nbclassic/Manifest
@@ -1 +1,2 @@
DIST nbclassic-0.5.1.tar.gz 20178622 BLAKE2B 1ff79c9af218011c697016ecef149f42e683607eebb8e199ef75957d9d3127858ce8f443aeedb60844e3277b4c8cd4959d123658a5103ab2112fec469ef01a96 SHA512 1dabc27ad115d1961e7881e7a51653449cae291c74aea222bbf92d49cb7bc9657ae1f1d9a81eafbd70bc0cafd57b75cd2c76bebf91aabc5fdd9eede534f1cec9
+DIST nbclassic-0.5.2.tar.gz 20182217 BLAKE2B 02a91ea461acf56c8aeafab5d2af726c21add89bdfd651be9225fb3ec278de76bf8ab76c30d2e16f3a7b7a7d17f13a58907a14b2389c029dd0bb74af565115d0 SHA512 c26b86ee5958a6bb2b891f0bfff7fd90054727977a5cb29aacf1681e56490dcc7b8275709d74597e7d99940493a39499b8c8832a92fcf1a57955f20e100a10a4
diff --git a/dev-python/nbclassic/nbclassic-0.5.2.ebuild b/dev-python/nbclassic/nbclassic-0.5.2.ebuild
new file mode 100644
index 000000000000..74a7d870c73a
--- /dev/null
+++ b/dev-python/nbclassic/nbclassic-0.5.2.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+DISTUTILS_USE_PEP517=jupyter
+
+inherit distutils-r1 pypi xdg-utils
+
+DESCRIPTION="Jupyter Notebook as a Jupyter Server Extension"
+HOMEPAGE="
+ https://jupyter.org/
+ https://github.com/jupyter/nbclassic/
+ https://pypi.org/project/nbclassic/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-python/argon2-cffi[${PYTHON_USEDEP}]
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ dev-python/ipython_genutils[${PYTHON_USEDEP}]
+ dev-python/jinja[${PYTHON_USEDEP}]
+ >=dev-python/jupyter_client-6.1.1[${PYTHON_USEDEP}]
+ >=dev-python/jupyter_core-4.6.1[${PYTHON_USEDEP}]
+ >=dev-python/nbconvert-5[${PYTHON_USEDEP}]
+ dev-python/nbformat[${PYTHON_USEDEP}]
+ >=dev-python/nest_asyncio-1.5[${PYTHON_USEDEP}]
+ >=dev-python/notebook_shim-0.1.0[${PYTHON_USEDEP}]
+ dev-python/prometheus_client[${PYTHON_USEDEP}]
+ >=dev-python/send2trash-1.8.0[${PYTHON_USEDEP}]
+ >=dev-python/terminado-0.8.3[${PYTHON_USEDEP}]
+ >=dev-python/tornado-6.1[${PYTHON_USEDEP}]
+ >=dev-python/traitlets-4.2.1[${PYTHON_USEDEP}]
+
+ <dev-python/notebook-7[${PYTHON_USEDEP}]
+"
+
+# dev-python/nbval is missing impls
+BDEPEND="
+ test? (
+ dev-python/jupyter-server-terminals[${PYTHON_USEDEP}]
+ dev-python/pytest_jupyter[${PYTHON_USEDEP}]
+ dev-python/pytest-tornasync[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/requests-unixsocket[${PYTHON_USEDEP}]
+ dev-python/testpath[${PYTHON_USEDEP}]
+ )
+ doc? (
+ virtual/pandoc
+ )
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs/source \
+ dev-python/sphinx-rtd-theme \
+ dev-python/nbsphinx \
+ dev-python/sphinxcontrib-github-alt \
+ dev-python/myst_parser \
+ dev-python/ipython_genutils
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p pytest_tornasync.plugin
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ # move /usr/etc stuff to /etc
+ mv "${ED}/usr/etc" "${ED}/etc" || die
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+}
diff --git a/dev-python/platformdirs/platformdirs-3.0.0.ebuild b/dev-python/platformdirs/platformdirs-3.0.0.ebuild
index c81ea4b8744d..bd1223258f8b 100644
--- a/dev-python/platformdirs/platformdirs-3.0.0.ebuild
+++ b/dev-python/platformdirs/platformdirs-3.0.0.ebuild
@@ -20,7 +20,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
BDEPEND="
test? (
diff --git a/dev-python/pyClamd/files/pyClamd-0.4.0-remove-obsolete-bugtrack_url.diff b/dev-python/pyClamd/files/pyClamd-0.4.0-remove-obsolete-bugtrack_url.diff
new file mode 100644
index 000000000000..446c215ba518
--- /dev/null
+++ b/dev-python/pyClamd/files/pyClamd-0.4.0-remove-obsolete-bugtrack_url.diff
@@ -0,0 +1,11 @@
+diff -Naurp a/setup.py b/setup.py
+--- a/setup.py 2017-08-28 00:05:52.000000000 +0200
++++ b/setup.py 2023-02-18 16:57:08.911936472 +0100
+@@ -27,7 +27,6 @@ setup (name = 'pyClamd',
+ author_email = 'norman@xael.org',
+ keywords='python, clamav, antivirus, scanner, virus, libclamav',
+ url = 'http://xael.org/pages/pyclamd-en.html',
+- bugtrack_url = 'https://bitbucket.org/xael/pyclamd',
+ include_dirs = ['/usr/local/include'],
+ description = 'pyClamd is a python interface to Clamd (Clamav daemon).',
+ long_description = 'pyClamd is a python interface to Clamd (Clamav daemon). By using pyClamd, you can add virus detection capabilities to your python software in an efficient and easy way. Instead of pyClamav which uses libclamav, pyClamd may be used by a closed source product.',
diff --git a/dev-python/pyClamd/pyClamd-0.4.0-r4.ebuild b/dev-python/pyClamd/pyClamd-0.4.0-r4.ebuild
new file mode 100644
index 000000000000..9b0de5f1d14b
--- /dev/null
+++ b/dev-python/pyClamd/pyClamd-0.4.0-r4.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+DISTUTILS_USE_PEP517=setuptools
+
+inherit distutils-r1
+
+PATCHES=( "${FILESDIR}/${P}-remove-obsolete-bugtrack_url.diff" )
+
+DESCRIPTION="python interface to Clamd (Clamav daemon)"
+HOMEPAGE="https://xael.org/pages/pyclamd-en.html"
+SRC_URI="mirror://pypi/p/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+RDEPEND="${DEPEND}"
+
+# Tests need clamd running and we cannot rely on that being
+# true during build
+RESTRICT="test"
diff --git a/dev-python/pychromecast/Manifest b/dev-python/pychromecast/Manifest
index 5ad862978573..3be18cab9f9e 100644
--- a/dev-python/pychromecast/Manifest
+++ b/dev-python/pychromecast/Manifest
@@ -1,2 +1 @@
-DIST PyChromecast-12.1.4.tar.gz 51527 BLAKE2B 5a30863553df0f7cfd59de0ae5fca55b84373bb7cc6d12ac761aa5e6d18b1548275a677466bc596c0b50d8b78b385ee5bb727d2eb4828a1b24e3c64a0dc4a035 SHA512 056c615f453ccd97425a68f488235a63e8047d1be40fc7800d154b19013e7a0f329488b25e76f0cc56adb3779fd14d4e793dc6488ccbd067b484f0e2be72e455
DIST PyChromecast-13.0.4.tar.gz 51996 BLAKE2B 11dad948443e9e5957de6b22cf6c1d33d19030d53cecddd9be5595dc82bb108e4746c382bae5c6d22d5219bcb90ed5bed7ca94c714ec7bbe7ad1330a1ee3cf2f SHA512 2f9bd925e452448a387a04babc0d71a35fc83edd30142cdd129479b5b20cf7aa9691a8d46f45edf5f12fd6f3052564c2956dd241eaf1a1c468b8399b065286ec
diff --git a/dev-python/pychromecast/pychromecast-12.1.4.ebuild b/dev-python/pychromecast/pychromecast-12.1.4.ebuild
deleted file mode 100644
index f47610ef8afd..000000000000
--- a/dev-python/pychromecast/pychromecast-12.1.4.ebuild
+++ /dev/null
@@ -1,21 +0,0 @@
-# Copyright 2020-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10,11} )
-inherit distutils-r1
-
-DESCRIPTION="Python module to talk to Google Chromecast"
-HOMEPAGE="https://github.com/home-assistant-libs/pychromecast"
-S="${WORKDIR}/PyChromecast-${PV}"
-SRC_URI="mirror://pypi/P/PyChromecast/PyChromecast-${PV}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND="
- >=dev-python/casttube-0.2.0[${PYTHON_USEDEP}]
- >=dev-python/protobuf-python-3.0.0[${PYTHON_USEDEP}]
- >=dev-python/zeroconf-0.25.1[${PYTHON_USEDEP}]"
diff --git a/dev-python/pydantic/pydantic-1.10.5.ebuild b/dev-python/pydantic/pydantic-1.10.5.ebuild
index 608a3b6355fd..23ac7738dd99 100644
--- a/dev-python/pydantic/pydantic-1.10.5.ebuild
+++ b/dev-python/pydantic/pydantic-1.10.5.ebuild
@@ -22,7 +22,7 @@ S=${WORKDIR}/${MY_P}
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
IUSE="+native-extensions"
RDEPEND="
diff --git a/dev-python/pygccxml/Manifest b/dev-python/pygccxml/Manifest
index 59bfbde61d7c..509860418241 100644
--- a/dev-python/pygccxml/Manifest
+++ b/dev-python/pygccxml/Manifest
@@ -1,2 +1 @@
DIST pygccxml-2.2.1.gh.tar.gz 3170283 BLAKE2B b53123c59d098f56d97841225d10ffd4156b993244e48c4ad30e2f62b6d95d69e0ae4bbfc86bb492e88e8f52d916401f29a6ec7024277d1e32b3af691a12e919 SHA512 32013617d4d632617b616d3787631c5b09da441a87bb15b88e3b287f17b85e1388308e85dd385276966ac09114536a5863edd5fbb96539547783fd2d41c6e8ce
-DIST pygccxml-2.2.1.tar.gz 3170283 BLAKE2B b53123c59d098f56d97841225d10ffd4156b993244e48c4ad30e2f62b6d95d69e0ae4bbfc86bb492e88e8f52d916401f29a6ec7024277d1e32b3af691a12e919 SHA512 32013617d4d632617b616d3787631c5b09da441a87bb15b88e3b287f17b85e1388308e85dd385276966ac09114536a5863edd5fbb96539547783fd2d41c6e8ce
diff --git a/dev-python/pygccxml/pygccxml-2.2.1.ebuild b/dev-python/pygccxml/pygccxml-2.2.1.ebuild
deleted file mode 100644
index a8e47ab2e226..000000000000
--- a/dev-python/pygccxml/pygccxml-2.2.1.ebuild
+++ /dev/null
@@ -1,29 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10,11} )
-
-inherit distutils-r1
-
-DESCRIPTION="A specialized XML reader to navigate C++ declarations"
-HOMEPAGE="https://github.com/CastXML/pygccxml"
-SRC_URI="https://github.com/CastXML/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="Boost-1.0"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~riscv ~x86"
-IUSE="doc"
-
-distutils_enable_sphinx docs dev-python/sphinx-rtd-theme
-
-RESTRICT="test"
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-
-RDEPEND="
- ${PYTHON_DEPS}
- dev-libs/castxml
-"
-
-DEPEND="${RDEPEND}"
diff --git a/dev-python/python-lhafile/python-lhafile-0.3.0.ebuild b/dev-python/python-lhafile/python-lhafile-0.3.0.ebuild
index 8dff6c7a6ae7..e32b1c2dfdf3 100644
--- a/dev-python/python-lhafile/python-lhafile-0.3.0.ebuild
+++ b/dev-python/python-lhafile/python-lhafile-0.3.0.ebuild
@@ -1,13 +1,13 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
PYTHON_COMPAT=( python3_{7,8,9,10,11} )
inherit distutils-r1
DESCRIPTION="LHA archive support for Python"
-HOMEPAGE="https://fengestad.no/python-lhafile/"
+HOMEPAGE="https://github.com/FrodeSolheim/python-lhafile"
SRC_URI="https://github.com/FrodeSolheim/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD"
diff --git a/dev-python/rebulk/Manifest b/dev-python/rebulk/Manifest
index 069eda8d1fc1..2ac8ae77309a 100644
--- a/dev-python/rebulk/Manifest
+++ b/dev-python/rebulk/Manifest
@@ -1 +1,2 @@
DIST rebulk-3.1.0.gh.tar.gz 252775 BLAKE2B 9624a02f8df950e3efa77c0fe7c3dfa083c255b10c118a571aa4f4fb8ee95f663f7ba45e66e77ec4c3fb801a6a1e8e369b04a6ec1323aeed6c8b13deb286614c SHA512 591bbfeef1d472722d6250cd35f308c0ac9c5f2dee77f4702f1d9fa1e41bb1a16bbf7c4aa634d0b4f43d7f9093bc1e2faa38edb0170212fea2502ff6a284fcab
+DIST rebulk-3.2.0.gh.tar.gz 254923 BLAKE2B ea9501aa70d7842fecab8621ca7c58aed76dba419c46f92e0fc7fa7e300f0ac9d7a457fc3b6bd14d02296449e15c918d63be8060ab1df4a51fe77e383daf6c33 SHA512 17928a0fcf1a78a592289bb9c7c0ea48e8b4d93ccd77793065a51a54258c2af857e9da6955cad552fa53caf76a95ee002a789c35fe248a909971c8afc7b6dfa5
diff --git a/dev-python/rebulk/rebulk-3.2.0.ebuild b/dev-python/rebulk/rebulk-3.2.0.ebuild
new file mode 100644
index 000000000000..a48b05f88b8a
--- /dev/null
+++ b/dev-python/rebulk/rebulk-3.2.0.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python library that performs advanced searches in strings"
+HOMEPAGE="
+ https://github.com/Toilal/rebulk/
+ https://pypi.org/project/rebulk/
+"
+SRC_URI="
+ https://github.com/Toilal/rebulk/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # Remove base64-encoded zip archive with pytest.
+ rm runtests.py || die
+
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/recurring-ical-events/Manifest b/dev-python/recurring-ical-events/Manifest
index a82ae4fb0199..19f1b0af2029 100644
--- a/dev-python/recurring-ical-events/Manifest
+++ b/dev-python/recurring-ical-events/Manifest
@@ -1,2 +1,3 @@
DIST python-recurring-ical-events-2.0.0.gh.tar.gz 325608 BLAKE2B 386ab8a54343fb02c15938801c15b31c8c8ba6bd0888a677268625fcba5571724d53c42f9d093ea8590d6e3557c151b73f9fb532a1bea194bc6d7032e04946e9 SHA512 676bc074a4d9ddb2bf0aefe8e118eab6e80479bb0d585b9f4c50f4bd49c7adf03e484b34bdf01596bb012c903a8017644ff74026d333f13f5c7df2c4326ab18c
DIST python-recurring-ical-events-2.0.1.gh.tar.gz 326015 BLAKE2B c85d0626f86b90c5c597d9f437f66d0e6cf5c4afbf8f6c521ccf52562a16953fe13c0804f23386276adc252620fcfb6fda69ccbe90ad8b1a4b105f5d5cd34939 SHA512 f12807767a903a90e2348a416bb78873f40238653cc83d50cf51080cf5f214df8b83dca71095b440e73fac9193c10bcd42ea4129edfe3a42607a85b45dfef03b
+DIST python-recurring-ical-events-2.0.2.gh.tar.gz 326754 BLAKE2B 1df6ffaf08e991ca49360f586abda344a9967e9fe0446a367920d6fe502aea20af35bb976b7a030d47f0b34388e7f169027e4106fc7c317d3a68358af812d40f SHA512 377f2f974cf0ce141d6c4f32aafe1b55339121229a74d66647d6779c1bec3ec4ede47a0c1353692c5eb3d5a6144b53f1fef3150343b503884c1d1d241138b65d
diff --git a/dev-python/recurring-ical-events/recurring-ical-events-2.0.2.ebuild b/dev-python/recurring-ical-events/recurring-ical-events-2.0.2.ebuild
new file mode 100644
index 000000000000..4a5d850f0c93
--- /dev/null
+++ b/dev-python/recurring-ical-events/recurring-ical-events-2.0.2.ebuild
@@ -0,0 +1,45 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+MY_P=python-${P}
+DESCRIPTION="Repeat ICalendar events by RRULE, RDATE and EXDATE"
+HOMEPAGE="
+ https://github.com/niccokunzmann/python-recurring-ical-events/
+ https://pypi.org/project/recurring-ical-events/
+"
+SRC_URI="
+ https://github.com/niccokunzmann/python-recurring-ical-events/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="LGPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/icalendar[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.8.1[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ <dev-python/x-wr-timezone-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/x-wr-timezone-0.0.5[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ test/test_readme.py
+)
+
+EPYTEST_DESELECT=(
+ # a test checking if tzdata package is installed that is apparently
+ # needed for other tests, except it isn't
+ test/test_zoneinfo_issue_57.py::test_zoneinfo_must_be_installed_if_it_is_possible
+)